/* Start    公共变量 & 公共函数方法 */
var _cache = false; // 是否缓存

// 跳转页面
function goUrl(_url){
    window.location.href=_url;
}
// Reload页面
function reload(){
    window.location.reload();
}
// 真正开始执行的代码，为OnClick启动
// _url:    执行的.cs程序部分的路径
// _action: ajax部分的Function方法，让页面根据结果返回不同样式
function goVIP(_url, _action){
    $.ajax({
        url:_url,
        type:"get",
        cache:_cache,
        success:function(date){
            //alert(date);
        }
    });
    setTimeout(_action,100);
    //goUrl("Default.aspx");
}
/* End      公共变量 & 公共函数方法 */


// Person/Default.aspx 显示状态
function PVIP(){
    $.ajax({
        url:"?Action=sf",
        type:"get",
        cache:_cache,
        success:function(date){
        $("#svip").colorbox({title:"申请高级人才状态"}); // title只能在这里设置，因为元素id=svip，并不存在于网页上，所以写在a标签里是无效的，如下的title='申请服务'
            if(date.indexOf("申请高级人才") >=0){
                $("#svip").html(date);
                $("#dsf").html("普通用户");
            }
            if(date.indexOf("取消申请高级人才") >=0){
                $("#svip").html(date);
                $("#dsf").html("高级人才申请中");
            }
            if(date.indexOf("您已经是高级人才") >=0){
                $("#svip").html(date);
                $("#dsf").html("推荐用户");
            }
        }
    });
}

// WillJobManage.aspx 显示状态
function tj(id){
    _url = "?Action=tjz&id="+id;
    $.ajax({        
        url:_url,
        type:"get",
        cache:_cache,
        success:function(date){
            if(date.indexOf("推荐意向") >= 0) {
                $("#tjspan"+id).html("<a href='#'>推荐意向</a>");
            }
            if(date.indexOf("意向申请中") >= 0) {
                $("#tjspan"+id).html("<a href='#'>意向申请中</a>");
            }
            if(date.indexOf("意向推荐中") >= 0) {
                $("#tjspan"+id).html("<a href='#'>意向推荐中</a>");
            }
            //setTimeout("goUrl('WillJobManage.aspx')",2000);
            setTimeout("goUrl('WillJobManage.aspx')",1000);
        }
    });
}

// WillJobManage.aspx 显示状态
function qz(id){
    $.ajax({
        url:"?Action=qz&id="+id,
        type:"get",
        cache:_cache,
        success:function(date){
            if(date.indexOf("开始") >= 0){
                $("#showzw"+id).html("<a href='#'>求职中</a>");
            }else{
                $("#showzw"+id).html("<a href='#' style='color:red'>该求职信息已停止</a>");
            }
            setTimeout("goUrl('WillJobManage.aspx')",2000)
        }
    });
}

//issuejobManage.aspx 紧急招聘
function jj(id){
    $.ajax({
        url:'?Action=jj&id='+id,
        type:'get',
        cache:_cache,
        success:function(date){
            if(date.indexOf("审核中..") >= 0){
                $('#jjspan'+id).html("审核中..");
            }else{
                $('#jjspan'+id).html("申请紧急");
            }
            setTimeout("goUrl('issuejobManage.aspx')",2000)
        }
    });
}

//issuejobManage.aspx 热门招聘
function hot(id){
    $.ajax({
        url:'?Action=Hotajax&id='+id,
        type:'get',
        cache:_cache,
        success:function(date){
            setTimeout("goUrl('issuejobManage.aspx')",2000)
        }
    });
}

//issuejobManage.aspx 热门招聘
function height(id){
    $.ajax({
        url:'?Action=Hjax&id='+id,
        type:'get',
        cache:_cache,
        success:function(date){
            setTimeout("goUrl('issuejobManage.aspx')",2000)
        }
    });
}

// Company/Default.aspx
function tjCompany(){
    $.ajax({
        url:'?Action=tjajax',
        type:'get',
        cache:_cache,
        success:function(date){
            if(date.indexOf(">普通企业") >= 0){
                $("#famousdiv").html("");
            }
            if(date.indexOf(">申请知企企业") >= 0){
                $("#famousdiv").html("<span style='color:red;'>正在等待管理员处理推荐申请……</span>");
            }
            if(date.indexOf(">知企企业") >= 0){
                $("#famousdiv").html("<span style='color:red;'>您已经在推荐招聘专区！</span>");
            }
            //setTimeout("goUrl('Default.aspx')",2000)
        }
    });
}

// Company/Default.aspx
function tzCompany(){
    $.ajax({
        url:'?Action=tzajax',
        type:'get',
        cache:_cache,
        success:function(date){
        alert(date)
            if(date.indexOf("未上传企业图片Logo")>=0 || date.indexOf("申请已经取消")>=0){
                $("#changediv").html("");
            }
            if(date.indexOf("申请已经提交")>=0){
                $("#changediv").html("<span style='color:red;'>正在等待管理员处理图招申请……</span>");
            }
            if(date.indexOf("在推荐招聘")>=0){
                $("#changediv").html("<span style='color:red;'>您已经在推荐的企业图片招聘专区！</span>");
            }
            //setTimeout("goUrl('Default.aspx')",2000)
        }
    });
}